﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FringeBenefitsMandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge FringeBenefitsMandatories Validations</title>


<rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil = '1')]">
        <!--
            Rule ID: VR.ATO.FBT.000337
    
            IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount) = NULLORBLANK) 
            AND ((RP:rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount) <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FBT.000337" diagnostics="DVR.ATO.FBT.000337" 
                test="not(
                          string-length(rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0
                          and string-length(rvctc3.02.00:FringeBenefitsTax.Rebate.Amount[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) != 0
                      )">Aggregate non rebatable amount is absent and Amount of rebate is present. Enter zero if there is no non-rebatable amount</assert>
        <!--
            Rule ID: VR.ATO.FBT.000338
    
            IF ((RP:rvctc3.xx.xx:FringeBenefitsTax.NonRebatableAggregate.Amount) <> NULLORBLANK)
            AND ((RP:rvctc3.xx.xx:FringeBenefitsTax.Rebate.Amount) = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FBT.000338" diagnostics="DVR.ATO.FBT.000338" 
                test="not(
                        string-length(rvctc3.02.00:FringeBenefitsTax.NonRebatableAggregate.Amount[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) != 0
                        and string-length(rvctc3.02.00:FringeBenefitsTax.Rebate.Amount[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0
                      )">Aggregate non rebatable amount is present and Amount of rebate is absent. Enter zero if there is no rebate amount</assert>
        <!--
            Rule ID: VR.ATO.FBT.000462
    
            IF (RP:rvctc3.xx.xx:FringeBenefitsTax.Liability.Amount = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FBT.000462" diagnostics="DVR.ATO.FBT.000462"
                test="not(string-length(rvctc3.02.00:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0)">Sub - total (Amount of tax payable less Amount of rebate) is required</assert>
        <!--
            Rule ID: VR.ATO.FBT.000463
    
            IF (RP:rvctc3.xx.xx:FringeBenefitsTax.Payable.Amount = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FBT.000463" diagnostics="DVR.ATO.FBT.000463"
                test="string-length(rvctc3.02.00:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.ContextId and 
                        not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0">Amount of tax payable is required</assert>
</rule>
</pattern>