﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="InstanceContent" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge InstanceContent Validations</title>


<rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil = '1')]">
        <!--
            Rule ID: VR.ATO.FBT.000417
        
            IF ((INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK)
            AND (ALGORITHM(INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FBT.000417" diagnostics="DVR.ATO.FBT.000417" 
                test="not(
                        count(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0
                         and   not(function:ValidateTAN(pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]))
                         )">Tax Agent number (TAN) is invalid</assert>

        <!--  
            Rule ID: VR.ATO.GEN.434223

            IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                    RETURN VALIDATION MESSAGE
            ENDIF

            Data Elements:

            RP:^FBT4 = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
        -->
        <assert id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223" 
                test="not(
                        string-length(normalize-space(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])) != 0 
                        and not(function:ValidateABN(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]))
                        )">ABN is invalid</assert>  

</rule>
</pattern>